Bug 240922 - archivers/rpm4: upgrade 4.14.2.1 -> 4.15.0
Summary: archivers/rpm4: upgrade 4.14.2.1 -> 4.15.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-29 16:04 UTC by Kurt Jaeger
Modified: 2019-10-03 16:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rodrigo)


Attachments
patch (7.25 KB, patch)
2019-09-29 16:04 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2019-09-29 16:04:12 UTC
Created attachment 207938 [details]
patch

testbuilds are fine on amd current, 12.0, 12.1, 11.3, 11.2 and i386-current.

Relnotes: https://rpm.org/wiki/Releases/4.15.0
Comment 1 Rodrigo Osorio freebsd_committer 2019-09-30 21:26:29 UTC
Hi,

The changes seems to be fine and compile without error,
but why the "defined(__FreeBSD__)" are always duplicated?

eg.

-+#if defined(hpux) || defined(__FreeBSD__)
++#if defined(hpux) || defined(__FreeBSD__) || defined(__FreeBSD__)
Comment 2 Kurt Jaeger freebsd_committer 2019-09-30 21:36:34 UTC
(In reply to Rodrigo Osorio from comment #1)
Hm, somehow, the line in Makefile:post-patch seems to cause this.
Comment 3 Kurt Jaeger freebsd_committer 2019-09-30 21:38:07 UTC
(In reply to Kurt Jaeger from comment #2)
Ah, in combination with files/patch-misc_fts.c.
Comment 4 Kurt Jaeger freebsd_committer 2019-09-30 21:41:40 UTC
So the line in post-patch with hpux is no longer necessary.
Comment 5 commit-hook freebsd_committer 2019-10-03 16:56:00 UTC
A commit references this bug:

Author: rodrigo
Date: Thu Oct  3 16:55:21 UTC 2019
New revision: 513675
URL: https://svnweb.freebsd.org/changeset/ports/513675

Log:
  Upgrade archivers/rpm4 from 4.14.2.1 to 4.15.0

  Relnotes: https://rpm.org/wiki/Releases/4.15.0

  PR:		240922
  Submitted by:	pi

Changes:
  head/archivers/rpm4/Makefile
  head/archivers/rpm4/distinfo
  head/archivers/rpm4/files/patch-luaext_lrexlib.c
  head/archivers/rpm4/files/patch-misc_fts.c
  head/archivers/rpm4/pkg-plist
Comment 6 Rodrigo Osorio freebsd_committer 2019-10-03 16:56:53 UTC
Committed with minor changes, thanks.